LOCALECTL(1)

BEZEICHNUNG
localectl - Die Locale des Systems und die Tastatureinstellung steuern

ÜBERSICHT

localectl [OPTIONEN…] {BEFEHL}

BESCHREIBUNG

localectl kann zur Abfrage und zur Änderung der Locale des Systems und der Tastaturlayouteinstellungen verwandt werden. Es kommuniziert mit systemd-localed(8), um Dateien wie /etc/locale.conf und /etc/vconsole.conf zu verändern.

Die System-Locale steuert die Spracheinstellung der Systemdienste und der UI, bevor sich der Benutzer anmeldet, wie beim Display Manager, sowie die Vorgabe, nachdem sich Benutzer angemeldet haben.

Die Tastatureinstellungen steuern das auf der Textkonsole und in der graphischen UI verwandte Tastaturlayout, bevor sich der Benutzer anmeldet, wie beim Display Manager, sowie die Vorgabe, nachdem sich Benutzer angemeldet haben.

Beachten Sie, dass Änderungen, die mit diesem Werkzeug gemacht wurden, es notwendig machen könnten, dass die Initiramfs neu gebaut wird, damit die Änderungen in der frühen Systemstartphase wirksam werden. Die Initramfs wird durch localectl nicht automatisch neu gebaut.

Beachten Sie, dass systemd-firstboot(1) zur Initialisierung der System-Locale für eingehängte (aber nicht gestartete) Systemabbilder verwandt werden kann.

OPTIONEN

Die folgenden Optionen werden verstanden:

--no-ask-password
    Den Benutzer nicht für Authentifizierung für privilegierte Aktionen befragen.

--no-convert
    Falls set-keymap oder set-x11-keymap aufgerufen und diese Option übergeben wird, dann wird die Tastaturabbildung nicht von der Konsole nach X11 bzw. von X11 auf die Konsole konvertiert.

-H, --host=
    Führt die Aktion aus der Ferne aus. Geben Sie den Rechnernamen oder einen Benutzernamen und Rechnernamen (getrennt durch »@«) an, zu dem verbunden werden soll. Dem Rechnernamen darf optional ein Container-Name angehängt werden, getrennt durch »:«, womit direkt zu einem bestimmten Container auf dem angegebenen Rechner verbunden wird. Dies verwendet SSH, um mit der Maschinen-Manager-Instanz auf dem Rechner in der Ferne zu sprechen. Container-Namen dürfen mit machinectl -H RECHNER aufgezählt werden.

-M, --machine=
    Führt die Aktion auf einem lokalen Container aus. Geben Sie den Namen des Containers an, zu dem verbunden werden soll.

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an einen Pager weiterleiten.

BEFEHLE

Die folgenden Befehle werden verstanden:

status
    Zeigt die aktuellen Einstellungen der System-Locale und Tastaturzuordnung. Falls kein Befehl festgelegt ist, ist dies die implizierte Vorgabe.

set-locale LOCALE, set-locale VARIABLE=LOCALE…
    Setzt die System-Locale. Dies akzeptiert eine Locale wie »en_US.UTF-8« oder eine oder mehrere Zuweisungen wie »LANG=de_DE.utf8«, »LC_MESSAGES=en_GB.utf8« und so weiter. Falls eine Locale ohne Variablennamen bereitgestellt wird, dann wird die Locale-Variable »LANG« gesetzt. Siehe locale(7) für Details über die verfügbaren Einstellungen und ihrer Bedeutungen. Verwenden Sie list-locales für eine Liste der verfügbaren Locales (siehe unten).

list-locales
    Listet für die Konfiguration mit set-locale verfügbare Locales auf.

set-keymap ZUORDNUNG [UMSCHALTZUORDNUNG]
    Setzt die Systemtastaturzuordnung für die Konsole und X11. Dies akzeptiert einen Zuordnungsnamen (wie »de« oder »us«) und möglicherweise einen zweiten, um die Umschalttastaturzuordnung zu definieren. Die ausgewählte Einstellung wird auch als die Vorgabesystemtastaturzuordnung von X11 angewandt, nachdem diese zu der passendsten X11-Tastaturzuordnung umgewandelt wurde, außer --no-convert wird übergeben. Verwenden Sie list-keymaps für eine Liste der verfügbaren Tastaturzuordnungen (siehe unten).

list-keymaps
    Listet verfügbare Tastaturzuordnungen für die Konsole auf, nützlich für die Konfiguration mit set-keymap.

set-x11-keymap LAYOUT [MODEL [VARIANTE [OPTIONEN]]]
    Setzt die Standard-Tastaturzuordnung für X11 und die virtuelle Konsole des Systems. Dies akzeptiert einen Tastaturzuordnungsnamen (wie »de« oder »us«) und möglicherweise ein Modell, eine Variante und Optionen, siehe kbd(4) für Details. Die ausgewählte Einstellung wird auch als die Systemtastaturzuordnung für die Konsole angewandt, nachdem diese zu der passendsten Tastaturzuordnung für die Konsole umgewandelt wurde, außer --no-convert wird übergeben.

list-x11-keymap-models, list-x11-keymap-layouts, list-x11-keymap-variants [LAYOUT], list-x11-keymap-options
    Listet für die Konfiguration mit set-keymap verfügbar X11-Tastaturabbildungsmodelle, -layouts, -varianten und -optionen auf. Der Befehl list-x11-keymap-variants akzeptiert optional einen Layout-Parameter, um die Ausgabe der Varianten auf die für das festgelegte Layout geeigneten einzuschränken.

RÜCKGABEWERT

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

UMGEBUNGSVARIABLEN

$SYSTEMD_PAGER
    Zu verwendender Pager, wenn --no-pager nicht angegeben ist, setzt $PAGER außer Kraft. Falls weder $SYSTEMD_PAGER noch $PAGER gesetzt sind, wird eine Reihe gut-bekannter Pagerimplementierungen der Reihe nach ausprobiert, einschließlich less(1) und more(1), bis einer gefunden wird. Falls keine Pager-Implementierung gefunden wird, wird keiner aufgerufen. Setzten der Umgebungsvariablen auf die leere Zeichenkette oder den Wert »cat« is äquivalent zur Übergabe von --no-pager.

$SYSTEMD_LESS
    Setzt die an less weitergegebenen Optionen (standardmäßig »FRSXMK«) außer Kraft.

$SYSTEMD_LESSCHARSET
    Setzt den an less weitergegebenen Zeichensatz (standardmäßig »utf-8«, falls das aufrufende Terminal als UTF-8-kompatibel erkannt wurde) außer Kraft.

SIEHE AUCH

systemd(1), locale(7), locale.conf(5), vconsole.conf(5), loadkeys(1), kbd(4), Die XKB-Konfigurationsanleitung[1], systemctl(1), systemd-localed.service(8), systemd-firstboot(1), mkinitrd(8)

ANMERKUNGEN

1.  Die XKB-Konfigurationsanleitung
    http://www.x.org/releases/current/doc/xorg-docs/input/XKB-Config.html

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.